-- medicine_chest

dofile('data/Scenes/17_tank_Anim_boy.lua')

PATH_COMICS_17_ON_SHOWN  	= 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_17_SCISSORS 	= 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_17_ON_WIN	 	= 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()
	
	AddRandomTasks(15,
               CreateTask('UMBRELLA', '', 'umbrella'),
               CreateTask('ANCHOR', '', 'anchor'),
               CreateTask('BALLOON', '', 'balloon'),
               CreateTask('BOTTLE', '', 'bottle'),
               CreateTask('BUCKET', '', 'bucket'),
               CreateTask('BUOY', '', 'buoy'),
               CreateTask('BUTTERFLY', '', 'butterfly'),
               CreateTask('CORAL', '', 'corel'),
               CreateTask('FAN', 'FANS', 'fan', 'fan_2', 'fan_3'),
               CreateTask('HAMMER', '', 'hammer'),
               CreateTask('HANDAXE', '', 'handaxe'),
               CreateTask('JUG', '', 'jug'),
               CreateTask('LIZARD', '', 'lizard'),               
               CreateTask('PARROT', '', 'parrot'),
               CreateTask('PIPE', 'PIPES', 'pipe', 'pipe_2'),
               CreateTask('SEASHELL', '', 'seashell'),
               CreateTask('SNAKE', '', 'snake'),
               CreateTask('SOLAR_SIGN', '', 'solar_sign'),
               CreateTask('SUNDIAL', '', 'sundial'),
               CreateTask('SWORD', 'SWORDS', 'sword', 'sword_2', 'sword_3', 'sword_4', 'sword_5', 'sword_6', 'sword_7', 'sword_8'),
               CreateTask('COMPASS', '', 'compass'),
               CreateTask('FEATHER', '', 'feather'),
               CreateTask('FISHHOOK', '', 'fishhook'),
               CreateTask('FLY', '', 'fly'),
               CreateTask('TELESCOPE', '', 'telescope'),
			   CreateTask('SEAGULL', '', 'seagull'),               
               CreateTask('BINOCULAR', '', 'binocular'),
               CreateTask('BOOK', '', 'book'),
               CreateTask('COCONUT', '', 'coconut'),
               CreateTask('GAS_LAMP', '', 'gas_lamp'),               
               CreateTask('ORANGE', '', 'orange'),
               
               CreateTask('CORN', '', 'corn'),
               --CreateTask('HEAD_MONSTER', '', 'head_monster'),
               CreateTask('SEA_HORSE', 'SEA_HORSES', 'sea_horse', 'sea_horse_2', 'sea_horse_3')
	)
	---------------------------------------------------------------------------------------------
	zone_hammock = CreateZoomZone('close_zone_hammock',
                               'pixel_hammock',
                               'ZoomHammockBg',
                               'rope_layer',
                               'paper',
							   'scissors',							   
							   'fly',
							   'fishhook',
							   'feather',
							   'compass'
							   )
	---------------------------------------------------------------------------------------------
	zone_boat = CreateZoomZone('close_zone_boat',
                               'pixel_boat',
                               'ZoomBoatBg',
                               'zoom111_rope1',
                               'zoom111_rope2',
							   'light',							   
							   'seagull',
							   'orange',							   
							   'coconut',
							   'book',
							   'binocular',							   
							   'gas_lamp'
							   )
	---------------------------------------------------------------------------------------------	
	local photo_action_scissors = function()                                
                             end
    local apply_action_scissors = function(save)
                                pf:GetObject('zoom111_rope1'):SetMaxOpacity(0)
								
								if not HasGameState('RopeCut', 'true') then
									AddGameState('RopeCut', 'true')
									if not play_field:GetLevelScreen():HasTaskObjects() then
										TimerDo(play_field:GetTimer(), 1, game_state.chain_on_win.Play)					
									end
							    end
								
								if save then
									pf:GetObject('zoom111_rope1'):SetOpacity(0)
                                    DisableZoomZoneRequest(zone_boat)
								else
									pf:GetObject('zoom111_rope1'):ChangeOpacity(1, 0, 0.3)
									TimerDo(pf:GetTimer(), 0.5, function()
									                                DisableZoomZoneRequest(zone_boat)
									                             end )
									                             
                                    MakeSoundEntity('17_cut_rope'):Play(false)
								end                                
                             end
    local photo_scissors = CreatePhotoZone('scissors', 
                                           'SCISSORS', 
                                           'photo_scissors', 
                                           photo_action_scissors,
										   'zoom111_rope1',
										   apply_action_scissors)
    level:GetTask('scissors'):SetUse(true)
	---------------------------------------------------------------------------------------------						
	game_state.chain_on_shown = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_17_ON_SHOWN, 'COMICS_17_ON_SHOWN');
                                                 end );
	game_state.chain_scissors = RegisterComicsEx(function()
											        LoadComicsWithOneReplicHeroes(PATH_COMICS_17_SCISSORS, 'COMICS_17_SCISSORS');
									          end );
	SetHintComicsPhotoZoneEx(photo_scissors, game_state.chain_scissors);
	game_state.chain_on_win = RegisterComicsEx(function()
											        LoadComicsWithOneReplicHeroes(PATH_COMICS_17_ON_WIN, 'COMICS_17_ON_WIN');
									          end );
	game_state.chain_on_win.OnHidden = function()
										OnWinLevel()
									   end
	---------------------------------------------------------------------------------------------
	play_field:IgnoreOnTestPoint('light')
	
	game_state.compositionBoy = createCompositiontank_fonnew()
	game_state.compositionBoy:AttachTo(play_field)			
	game_state.compositionBoy:SetZ(100)
	game_state.compositionBoy:SetDestroysOnEnd(false)
	game_state.compositionBoy:Stop()
	
	if HasGameState('StartingAnimationPlayed', 'true') then
		game_state.compositionBoy:Rewind(true)
	end
	---------------------------------------------------------------------------------------------
	if not HasGameState('StartingAnimationPlayed', 'true') then
	    game_state.locker:AddRef()
	    play_field:SetEnabled(false)
	end
	---------------------------------------------------------------------------------------------
end

function OnWin()
	if HasGameState('RopeCut', 'true') then
		TimerDo(play_field:GetTimer(), 0.4, game_state.chain_on_win.Play)
	end
end

function OnSceneFree()
    FreeData()
end

function OnScreenShown(fade_out)
    if not HasGameState('StartingAnimationPlayed', 'true') then
        play_field:SetEnabled(false)
    end

	if fade_out then
		local compositionBoy = game_state.compositionBoy		
		if not HasGameState('StartingAnimationPlayed', 'true') then
		    PlaySound('17_on_start')
			compositionBoy:Play()
			play_field:SetEnabled(false)
			AddGameState('StartingAnimationPlayed', 'true')
			
			TimerDo(play_field:GetTimer(), compositionBoy:GetDuration(),  
					function()
						game_state.chain_on_shown.Play()
						game_state.locker:Release()
						play_field:SetEnabled(true)
					end)		
		end
    end
end

function OnHiddenComics()
end

function OnMinigameCompleted(mini_game)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt);
end

function OnLose()
end

function OnExit()
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object);
    
    return is_wrong_click;
end

function OnObjectMouseUp(object)
end

function OnObjectRightMouseDown(object)
end

function OnObjectRightMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object);
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object);
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function OnLostFocus()
end

function OnGainFocus()
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/anchor.png',0,0,111,158,1,0)
	anim:SetHotSpot(55,79)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('anchor',anim,796,676,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/balloon.png',0,0,65,72,1,0)
	anim:SetHotSpot(32,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('balloon',anim,353,61,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/basket.png',0,0,73,79,1,0)
	anim:SetHotSpot(36,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('basket',anim,987,414,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/bottle.png',0,0,56,88,1,0)
	anim:SetHotSpot(28,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle',anim,583,714,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/bucket.png',0,0,112,82,1,0)
	anim:SetHotSpot(56,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bucket',anim,787,492,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/butterfly.png',0,0,70,68,1,0)
	anim:SetHotSpot(35,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('butterfly',anim,951,112,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/corel.png',0,0,92,84,1,0)
	anim:SetHotSpot(46,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('corel',anim,669,704,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/lizard.png',0,0,78,56,1,0)
	anim:SetHotSpot(39,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lizard',anim,646,642,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/fan.png',0,0,76,77,1,0)
	anim:SetHotSpot(38,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan',anim,878,632,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/handaxe.png',0,0,71,78,1,0)
	anim:SetHotSpot(35,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('handaxe',anim,987,731,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/jug.png',0,0,77,87,1,0)
	anim:SetHotSpot(38,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('jug',anim,504,716,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/hammer.png',0,0,66,87,1,0)
	anim:SetHotSpot(33,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hammer',anim,450,726,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/parrot.png',0,0,80,133,1,0)
	anim:SetHotSpot(40,66)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('parrot',anim,530,411,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/pipe.png',0,0,49,79,1,0)
	anim:SetHotSpot(24,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe',anim,265,646,121,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/seashell.png',0,0,65,46,1,0)
	anim:SetHotSpot(32,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('seashell',anim,842,535,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/snake.png',0,0,78,56,1,0)
	anim:SetHotSpot(39,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('snake',anim,638,298,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/solar_sign.png',0,0,42,39,1,0)
	anim:SetHotSpot(21,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('solar_sign',anim,775,182,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/sundial.png',0,0,69,57,1,0)
	anim:SetHotSpot(34,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sundial',anim,577,533,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/sword.png',0,0,103,122,1,0)
	anim:SetHotSpot(51,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword',anim,813,400,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/telescope.png',0,0,138,122,1,0)
	anim:SetHotSpot(69,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('telescope',anim,895,386,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/umbrella.png',0,0,103,91,1,0)
	anim:SetHotSpot(51,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('umbrella',anim,877,228,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Layers/DOSKA.png',0,0,58,96,1,0)
	anim:SetHotSpot(29,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('DOSKA',anim,886,695,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Layers/L_Book.png',0,0,205,98,1,0)
	anim:SetHotSpot(102,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('L_Book',anim,335,670,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Layers/L_butilka.png',0,0,86,67,1,0)
	anim:SetHotSpot(43,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('L_butilka',anim,578,732,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Layers/L_Flyaga.png',0,0,98,85,1,0)
	anim:SetHotSpot(49,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('L_Flyaga',anim,288,558,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Layers/L_Molotok_i_gorshok.png',0,0,111,52,1,0)
	anim:SetHotSpot(55,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('L_Molotok_i_gorshok',anim,481,742,107,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Layers/L_Papugay.png',0,0,48,60,1,0)
	anim:SetHotSpot(24,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('L_Papugay',anim,540,403,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Layers/L_Spasat_krug.png',0,0,148,88,1,0)
	anim:SetHotSpot(74,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('L_Spasat_krug',anim,950,573,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Layers/L_Veer.png',0,0,110,117,1,0)
	anim:SetHotSpot(55,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('L_Veer',anim,863,645,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Layers/tank_02.png',0,0,138,173,1,0)
	anim:SetHotSpot(69,86)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('tank_02',anim,516,224,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomHammock/Items/compass.png',0,0,99,76,1,0)
	anim:SetHotSpot(49,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('compass',anim,337,325,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomHammock/Items/feather.png',0,0,99,24,1,0)
	anim:SetHotSpot(49,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('feather',anim,542,290,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomHammock/Items/fishhook.png',0,0,57,57,1,0)
	anim:SetHotSpot(28,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fishhook',anim,405,399,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomHammock/Items/fly.png',0,0,43,36,1,0)
	anim:SetHotSpot(21,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fly',anim,714,581,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomHammock/Items/scissors.png',0,0,207,84,1,0)
	anim:SetHotSpot(103,42)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('scissors',anim,539,373,830,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomHammock/Layers/paper.png',0,0,66,58,1,0)
	anim:SetHotSpot(33,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('paper',anim,643,408,820,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomHammock/Layers/rope.png',0,0,47,35,1,0)
	anim:SetHotSpot(23,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rope_layer',anim,650,312,820,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomHammock/Layers/ZoomScissorsBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomHammockBg',anim,513,383,800,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_hammock',anim,420,595,100,0,16,10)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomBoat/Items/binocular.png',0,0,67,33,1,0)
	anim:SetHotSpot(33,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('binocular',anim,561,379,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomBoat/Items/book.png',0,0,63,40,1,0)
	anim:SetHotSpot(31,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('book',anim,467,341,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomBoat/Items/coconut.png',0,0,57,40,1,0)
	anim:SetHotSpot(28,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coconut',anim,354,406,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomBoat/Items/gas_lamp.png',0,0,39,115,1,0)
	anim:SetHotSpot(19,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gas_lamp',anim,530,234,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomBoat/Items/orange.png',0,0,37,28,1,0)
	anim:SetHotSpot(18,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('orange',anim,715,451,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomBoat/Items/seagull.png',0,0,51,32,1,0)
	anim:SetHotSpot(25,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('seagull',anim,734,218,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomBoat/Layers/ZoomBoatBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomBoatBg',anim,512,384,900,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomBoat/Layers/zoom111_rope2.png',0,0,152,155,1,0)
	anim:SetHotSpot(76,77)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom111_rope2',anim,754,361,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomBoat/Layers/zoom111_rope1.png',0,0,157,155,1,0)
	anim:SetHotSpot(78,77)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom111_rope1',anim,751,361,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/ZoomBoat/Layers/light.png',0,0,50,110,1,0)
	anim:SetHotSpot(25,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('light',anim,531,219,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_boat',anim,635,402,100,0,10,8)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Photos/photo_scissors.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('photo_scissors',anim,115,325,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/corn.png',0,0,102,47,1,0)
	anim:SetHotSpot(51,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('corn',anim,368,749,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/fan_2.png',0,0,91,81,1,0)
	anim:SetHotSpot(45,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan_2',anim,252,733,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/fan_3.png',0,0,67,50,1,0)
	anim:SetHotSpot(33,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan_3',anim,717,306,100,180,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/head_monster.png',0,0,100,64,1,0)
	anim:SetHotSpot(50,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('head_monster',anim,985,260,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/pipe_2.png',0,0,36,28,1,0)
	anim:SetHotSpot(18,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe_2',anim,748,665,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/sea_horse.png',0,0,41,68,1,0)
	anim:SetHotSpot(20,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sea_horse',anim,282,178,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/sea_horse_2.png',0,0,86,43,1,0)
	anim:SetHotSpot(43,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sea_horse_2',anim,548,28,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/sea_horse_3.png',0,0,30,81,1,0)
	anim:SetHotSpot(15,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sea_horse_3',anim,521,605,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/sword_2.png',0,0,55,194,1,0)
	anim:SetHotSpot(27,97)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword_2',anim,995,125,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/sword_3.png',0,0,104,26,1,0)
	anim:SetHotSpot(52,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword_3',anim,931,449,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/sword_4.png',0,0,36,180,1,0)
	anim:SetHotSpot(18,90)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword_4',anim,294,513,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/sword_5.png',0,0,117,37,1,0)
	anim:SetHotSpot(58,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword_5',anim,396,520,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/sword_6.png',0,0,145,33,1,0)
	anim:SetHotSpot(72,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword_6',anim,699,756,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/sword_7.png',0,0,24,173,1,0)
	anim:SetHotSpot(12,86)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword_7',anim,537,650,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/sword_8.png',0,0,104,111,1,0)
	anim:SetHotSpot(52,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword_8',anim,894,64,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Layers/L_Corn.png',0,0,42,52,1,0)
	anim:SetHotSpot(21,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('L_Corn',anim,405,744,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_tank_/Items/buoy.png',0,0,109,74,1,0)
	anim:SetHotSpot(54,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('buoy',anim,981,605,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
